Subject: bug#53436: 29.0.50; org-toggle-pretty-entities- does not work when toggled off

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 23 Jan 2022 13:27:26 +0100

Arthur Miller <[email-masked]> writes:

> Yes, and it should be. My brain was elswhere when I wrote that bug repport. It
> is not org-toggle-pretty-entities that control emphasis, it is a variable:
>
> 'org-fontify-emphaiszed-test'.

It's spelled org-fontify-emphasized-text -- perhaps that's the problem?

> When set to nil it text should not be rendered in italiccs, bold etc, but it
> still is. It is still a bug. Manual says that setting this variable to nil will
> turn fontification for marked up text:
>
> https://orgmode.org/manual/Emphasis-and-Monospace.html
>
> I appologize for the confusion, I don't know what was with me, why I looked at
> org-togge-pretty-entities at all.
>
>> from "emacs -Q"?
>
> Yes of course, I did it in emacs -Q both in repport and now.

I tried:

emacs -Q
(setq org-fontify-emphasized-text nil)
C-x C-f a.org RET

and got:

So it seems to work as expected for me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no